import { OnInit, EventEmitter, OnDestroy, ChangeDetectorRef, ElementRef, Renderer2 } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Annotation, Comment } from '../../../../data/annotation-set.model';
import { AnnotationStoreService } from '../../../../data/annotation-store.service';
import { PdfService } from '../../../../data/pdf.service';
import { Utils } from '../../../../data/utils';
import { EmLoggerService } from '../../../../logging/em-logger.service';
import { PdfRenderService } from '../../../../data/pdf-render.service';
export declare class CommentItemComponent implements OnInit, OnDestroy {
    private annotationStoreService;
    private pdfService;
    private pdfRenderService;
    private ref;
    private renderer;
    private utils;
    private log;
    private commentBtnSub;
    private commentFocusSub;
    private dataLoadedSub;
    hideButton: boolean;
    focused: boolean;
    sliceComment: string;
    comment: Comment;
    annotation: Annotation;
    commentSubmitted: EventEmitter<any>;
    commentRendered: EventEmitter<any>;
    commentSelector: ElementRef;
    commentArea: ElementRef;
    commentItem: NgForm;
    detailsWrapper: ElementRef;
    commentDate: ElementRef;
    model: Comment;
    commentTopPos: number;
    commentHeight: number;
    annotationTopPos: number;
    annotationLeftPos: number;
    annotationHeight: number;
    constructor(annotationStoreService: AnnotationStoreService, pdfService: PdfService, pdfRenderService: PdfRenderService, ref: ChangeDetectorRef, renderer: Renderer2, utils: Utils, log: EmLoggerService);
    ngOnInit(): void;
    setHeight(): void;
    ngOnDestroy(): void;
    onSubmit(): void;
    onEdit(): void;
    onCancel(): void;
    viewOnly(): void;
    editOnly(): void;
    isModified(): boolean;
    onBlur(): void;
    convertFormToComment(commentForm: NgForm): Comment;
    handleDeleteComment(): void;
    handleCommentClick(event: any): void;
    handleShowBtn(): void;
    handleHideBtn(): void;
    collapseComment(): void;
    isCommentEmpty(): boolean;
    isShrinkable(): boolean;
    shrinkComment(): void;
    removeMultipleLines(): string;
    expandComment(): void;
    getRelativePosition(annotationId: string): number;
}
